#!/bin/bash
#
# Copyright (c) 2021, Oracle and/or its affiliates.
#

STATUS_S_OK=0
STATUS_E_UNKNOWNARG=1
STATUS_E_NOAPPCOMMAND=2
STATUS_E_APPNOTFOUND=3
STATUS_E_NOFREEXPORT=4
STATUS_E_NOFREESPRITEPORT=5
STATUS_E_MKTEMPFAILED=6
STATUS_E_MKFIFOFAILED=7

STATUS_S_OK_STR="success"
STATUS_E_UNKNOWNARG_STR="error_unknownarg"
STATUS_E_NOAPPCOMMAND_STR="error_noappcommand"
STATUS_E_APPNOTFOUND_STR="error_appnotfound"
STATUS_E_NOFREEXPORT_STR="error_nofreexport"
STATUS_E_NOFREESPRITEPORT_STR="error_nofreespriteport"
STATUS_E_MKTEMPFAILED_STR="error_mktempfailed"
STATUS_E_MKFIFOFAILED_STR="error_mkfifofailed"

declare -A STATUSES=(
    [${STATUS_S_OK}]=${STATUS_S_OK_STR}
    [${STATUS_E_UNKNOWNARG}]=${STATUS_E_UNKNOWNARG_STR}
    [${STATUS_E_NOAPPCOMMAND}]=${STATUS_E_NOAPPCOMMAND_STR}
    [${STATUS_E_APPNOTFOUND}]=${STATUS_E_APPNOTFOUND_STR}
    [${STATUS_E_NOFREEXPORT}]=${STATUS_E_NOFREEXPORT_STR}
    [${STATUS_E_NOFREESPRITEPORT}]=${STATUS_E_NOFREESPRITEPORT_STR}
    [${STATUS_E_MKTEMPFAILED}]=${STATUS_E_MKTEMPFAILED_STR}
    [${STATUS_E_MKFIFOFAILED}]=${STATUS_E_MKFIFOFAILED_STR}
)

